﻿html {
    height: 100%;
}

body{
    top: 0px !important;
    font-family: sans-serif;
    padding: 0 10px;
    height: 100%;
    background: white;
    margin: 0;
}

h1 {
    color: white;
    margin: 0;
    padding: 15px;
}

#container {
    text-align: center;
    margin: 0;
}

#qr-canvas {
    margin: auto;
    width: calc(100% - 20px);
    max-width: 400px;
}

#btn-scan-qr {
    cursor: pointer;
}

#btn-scan-qr img {
    height: 10em;
    padding: 15px;
    margin: 15px;
    background: white;
}

#qr-result {
    font-size: 1.2em;
    margin: 20px auto;
    /* padding: 20px; */
    max-width: 700px;
    background-color: white;
}

.redback {
    background-color: red;
    padding: 20px;
}

.greenback {
    background-color: forestgreen;
    padding: 20px;
}

.yellowback {
    background-color: yellow;
    padding: 20px;
}

.buttonarea {
    padding-top: 10px;
}

.rowvalues div {
    border: 1px solid black;
    text-align: center;
}

.coltitles {
    padding-top: 10px;
}

.coltitles div {
    border: 1px black solid;
    text-align: center;
    font-weight: bold;
}

.lightredback {
    background-color: #FF9999;
}
.lightyellowback {
    background-color: #FFFF00;
}

.lightgreenback {
    background-color: #99ff99;
}

.lightredbutton {
    background-color: #FF9999;

}

.lightgreenbutton {
    background-color: #99ff99;

}

.btn-sm {
    border: 1px solid lightgray;
    margin: 10px 0 10px 0;
}

.navbar-brand.scanner {
    text-align: center;
    float: none;
}

span.linklike {
    text-decoration: underline;
    cursor: pointer;
}

.scanarea {
    position: sticky;
    top: 0px;
    background-color: white;
    z-index: 100;
}

.rowvalues {
    display: flex;
}

md-tabs.md-default-theme.md-primary>md-tabs-wrapper,
md-tabs.md-primary>md-tabs-wrapper {
    background-color: #004086;
}

.whiteframedemoBasicClassUsage {
    /* For breakpoint `-xs` */
    /* For breakpoint `-sm` */
    /* For breakpoint `-md` */
    /* For breakpoint `-gt-md` */
}

.whiteframedemoBasicClassUsage md-whiteframe {
    margin: 30px;
    height: 100px;
}

@media (max-width: 599px) {
    .whiteframedemoBasicClassUsage md-whiteframe {
        margin: 7px;
        height: 50px;
    }

    .whiteframedemoBasicClassUsage md-whiteframe>span {
        font-size: 0.4em;
    }
}

@media (min-width: 600px) and (max-width: 959px) {
    .whiteframedemoBasicClassUsage md-whiteframe {
        margin: 20px;
        height: 75px;
    }

    .whiteframedemoBasicClassUsage md-whiteframe>span {
        font-size: 0.6em;
    }
}

@media (min-width: 960px) and (max-width: 1279px) {
    .whiteframedemoBasicClassUsage md-whiteframe {
        margin: 20px;
        height: 90px;
    }

    .whiteframedemoBasicClassUsage md-whiteframe>span {
        font-size: 0.9em;
    }
}

@media (min-width: 1280px) {
    .whiteframedemoBasicClassUsage md-whiteframe {
        margin: 25px;
        height: 100px;
    }

    .whiteframedemoBasicClassUsage md-whiteframe>span {
        font-size: 1em;
    }
}

.md-headline {

    text-align: center;
}

.md-tab.md-active {

    background-color: lightslategray;
}

.md-card-image {

    height: 88px;
    width: 88px;
    vertical-align: middle;
    display: block;
    margin-left: auto;
    margin-right: auto;

}

.qrcoderesults #qrcode {
    text-align: center;
}

.qrcoderesults div img {
    display: inline !important;
}


.border-around {
    border: 1px solid lightgray;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 51px;
    line-height: 17px;
}

.border-around-location {
    border: 1px solid lightgray;
    display: flex;
    justify-content: left;
    align-items: center;
    height: 51px;
    line-height: 17px;
    text-align: left;
}
@media (max-width: 780px) {
    .border-around-location {
        border: 1px solid lightgray;
        display: flex;
        justify-content: left;
        align-items: center;
          height: 51px;
        line-height: 17px;
        text-align:left;
        font-size: 12px;
    }
}

.row {
     margin-right: 0px; 
     margin-left: 0px;
}
.link-button { 
     background: none;
     border: none;
     color: #428bca;
     text-decoration: underline;
     cursor: pointer; 
}

span.reqasterisk {
    padding-left: 6px;
    color: red;
}

label {
    text-transform: uppercase;
    font-weight: normal;
}

form label {
    line-height: 30px;
}

.columntitles {
    padding-top: 10px;
}

.columntitles div {
    text-align: center;
    font-weight: bold;
}

.control-label {
font-weight: normal;
}

.row.logininfo {
    margin-left: 150px;
  }

.form-control-noheightwidth{
    display: block;
    font-size: 14px;
    line-height: 1.428571429;
    color: #555;
    vertical-align: middle;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
    -webkit-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.fallbackparts {
    display:inline-block;
}
.rmtitle {
    padding-left: 0px;
    padding-right: 0px;
}


.on-board {
    color: green;
}

.not-on-board {
    color: red;
}